org.apache.cassandra.db.index.keys

## Class KeysSearcher

- java.lang.Object
- - org.apache.cassandra.db.index.SecondaryIndexSearcher
  - - org.apache.cassandra.db.index.keys.KeysSearcher

-     public class KeysSearcher
      extends SecondaryIndexSearcher

- - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.db.index.SecondaryIndexSearcher

      `baseCfs, columns, indexManager`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeysSearcher(SecondaryIndexManager indexManager, java.util.Set<java.nio.ByteBuffer> columns)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Row>` | `search(ExtendedFilter filter)`

    - ### Methods inherited from class org.apache.cassandra.db.index.SecondaryIndexSearcher

      `canHandleIndexClause, highestSelectivityIndex, highestSelectivityPredicate, postReconciliationProcessing, requiresScanningAllRanges, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeysSearcher

          public KeysSearcher(SecondaryIndexManager indexManager,
                              java.util.Set<java.nio.ByteBuffer> columns)

  - ### Method Detail

    - #### search

          public java.util.List<Row> search(ExtendedFilter filter)

      Specified by:
        `search` in class `SecondaryIndexSearcher`

Copyright © 2018 The Apache Software Foundation